Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.pk
Interface DefaultKeyStoreMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, KeyStoreMBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface DefaultKeyStoreMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, KeyStoreMBean

This MBean represents configuration attributes for the for the WebLogic Keystore provider. It was deprecated in WLS 8.1.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getDescription()` Deprecated. WebLogic KeyStore provider that obtains secured private keys from KeyStores using the JavaSoft jks KeyStore provider type.
`String` | `getPrivateKeyStoreLocation()` Deprecated. The location of a private Keystore.
`String` | `getProviderClassName()` Deprecated. The name of the Java class that loads the WebLogic Keystore provider.
`String` | `getRootCAKeyStoreLocation()` Deprecated. The location of a Root Certificate Authority Keystore.
`String` | `getVersion()` Deprecated. The version of the WebLogic Keystore provider.
`void` | `setPrivateKeyStoreLocation(String newValue)` Deprecated. The location of a private Keystore.
`void` | `setRootCAKeyStoreLocation(String newValue)` Deprecated. The location of a Root Certificate Authority Keystore.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.pk.KeyStoreMBean
`getPrivateKeyStorePassPhrase, getPrivateKeyStorePassPhraseEncrypted, getRootCAKeyStorePassPhrase, getRootCAKeyStorePassPhraseEncrypted, getType, setPrivateKeyStorePassPhrase, setPrivateKeyStorePassPhraseEncrypted, setRootCAKeyStorePassPhrase, setRootCAKeyStorePassPhraseEncrypted`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Method Detail

### getDescription

    public String getDescription()

  Deprecated.
  WebLogic KeyStore provider that obtains secured private keys from KeyStores using the JavaSoft jks KeyStore provider type.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "WebLogic KeyStore Security provider that obtains secured private keys from KeyStore."
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getPrivateKeyStoreLocation

    public String getPrivateKeyStoreLocation()

  Deprecated.
  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.

  Specified by:
    `getPrivateKeyStoreLocation` in interface `KeyStoreMBean`
  Default value:
    "wlDefaultKeyStore.jks"
  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  Deprecated.
  The name of the Java class that loads the WebLogic Keystore provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.pk.DefaultKeyStoreProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getRootCAKeyStoreLocation

    public String getRootCAKeyStoreLocation()

  Deprecated.
  The location of a Root Certificate Authority Keystore. If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is JAVA_HOME/jre/lib/security/cacerts and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    `getRootCAKeyStoreLocation` in interface `KeyStoreMBean`
  A dynamic MBean attribute.
    false

### getVersion

    public String getVersion()

  Deprecated.
  The version of the WebLogic Keystore provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(String newValue)
                                    throws InvalidAttributeValueException

  Deprecated.
  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.

  Specified by:
    `setPrivateKeyStoreLocation` in interface `KeyStoreMBean`
  Parameters:
    `newValue` - - new value for attribute PrivateKeyStoreLocation
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `KeyStoreMBean.getPrivateKeyStoreLocation()`
  Default value:
    "wlDefaultKeyStore.jks"
  A dynamic MBean attribute.
    false

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(String newValue)
                                   throws InvalidAttributeValueException

  Deprecated.
  The location of a Root Certificate Authority Keystore. If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is JAVA_HOME/jre/lib/security/cacerts and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    `setRootCAKeyStoreLocation` in interface `KeyStoreMBean`
  Parameters:
    `newValue` - - new value for attribute RootCAKeyStoreLocation
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `KeyStoreMBean.getRootCAKeyStoreLocation()`
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD